Last Comment Bug 712369 - Extension block request: {841468a1-d7f4-4bd3-84e6-bb0f13a06c64}
: Extension block request: {841468a1-d7f4-4bd3-84e6-bb0f13a06c64}
Status: RESOLVED FIXED
[extension][3rd-party-bustage]
:
Product: Toolkit
Classification: Components
Component: Blocklisting (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Justin Scott [:fligtar]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-20 10:59 PST by christian
Modified: 2016-03-07 15:30 PST (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description christian 2011-12-20 10:59:45 PST
Extension name: Nectar Search Toolbar
Extension UUID: {841468a1-d7f4-4bd3-84e6-bb0f13a06c64}
Extension versions to block: All
Applications, versions, and platforms affected affected: Firefox >= 9
Block severity: (hard/soft) hard

Homepage, AMO listing, other references and contact info: 

http://www.nectar.com/collect/toolbar/home.points

Reasons:

Freezes / crashes Fx 9, weird dialog / install loop in Firefox 11 / Nightly (even if you choose to unistall it keeps prompting you to change your search provider and hompage, etc).
Comment 1 christian 2011-12-20 11:05:03 PST
This is the hang I got:

Call graph:
    2156 Thread_761911   DispatchQueue_1: com.apple.main-thread  (serial)
      2153 start
        2153 start
          2153 XRE_main
            2153 js::JSProxyHandler::isOuterWindow()
              2153 JSD_DebuggerOnForUser
                2153 -[NSApplication run]
                  2153 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:]
                    2153 _DPSNextEvent
                      2153 BlockUntilNextEventMatchingListInMode
                        2153 ReceiveNextEventCommon
                          2153 RunCurrentEventLoopInMode
                            2153 CFRunLoopRunSpecific
                              2153 __CFRunLoopRun
                                2153 __CFRunLoopDoSources0
                                  2153 JSD_DebuggerOnForUser
                                    2153 JSD_DebuggerOnForUser
                                      2153 mac_plugin_interposing_child_OnSetCursor
                                        2153 XRE_AddStaticComponent
                                          2153 XRE_AddStaticComponent
                                            2153 XRE_AddStaticComponent
                                              2153 mozilla::layers::ReadbackSink::~ReadbackSink()
                                                2153 mozilla::layers::ReadbackSink::~ReadbackSink()
                                                  2153 mozilla::layers::ReadbackSink::~ReadbackSink()
                                                    2153 JS_CallFunctionValue
                                                      2153 JS_GetTypeInferenceMemoryStats
                                                        2153 JS_GetTypeInferenceMemoryStats
                                                          2153 JS_GetTypeInferenceMemoryStats
                                                            2153 JS_GetTypeInferenceMemoryStats
                                                              2153 JS_GetTypeInferenceMemoryStats
                                                                2153 xpc_LocalizeContext(JSContext*)
                                                                  2153 xpc_LocalizeContext(JSContext*)
                                                                    2153 NS_InvokeByIndex_P
                                                                      2153 catch_exception_raise
                                                                        2153 catch_exception_raise
                                                                          2153 catch_exception_raise
                                                                            2153 catch_exception_raise
                                                                              2153 catch_exception_raise
                                                                                2153 catch_exception_raise
                                                                                  2153 catch_exception_raise
                                                                                    2153 NS_NewLocalFile_P
                                                                                      2121 unlink
                                                                                        2121 __unlink
                                                                                      30 stat$INODE64
                                                                                      1 NS_NewLocalFile_P
                                                                                      1 NS_NewNativeLocalFile_P
                                                                                        1 lstat$INODE64
Comment 2 christian 2011-12-20 11:11:16 PST
And the crash:

https://crash-stats.mozilla.com/report/index/bp-daac6321-dfe9-4e90-902b-3920a2111220

Note that the browser can hobble along sometimes...it seems to happen when the toolbar puts up a sheet at the start. I also didn't get the crash on Aurora (and then using the same profile it didn't crash on Fx9).

So, to be safe, let's block this for Fx9+ on all products and if we need to dial it back later we can
Comment 3 christian 2011-12-20 11:14:57 PST
Additional background:
"Nectar is the UK's largest loyalty programme. Over 18 million collectors earn Nectar points when shopping for groceries, doing DIY, booking a holiday, paying household bills, buying petrol and even getting their car serviced. Collectors also earn Nectar points every time they shop online via nectar.com at over 500 leading online retailers."
Comment 4 Robert Kaiser (not working on stability any more) 2011-12-20 11:30:28 PST
(In reply to Christian Legnitto [:LegNeato] from comment #0)
> Extension versions to block: All
> Applications, versions, and platforms affected affected: Firefox >= 9

That would give them no possibility at all to get out of the block, ever. We should only block up to the highest add-on version that is out and contact them so they can fix a future version.
Also, did we test if other platforms than Mac have the same problem?
Comment 5 christian 2011-12-20 11:40:27 PST
I revise my earlier position...I think we should block only for Firefox 9 (all versions of the add-on though). I'd hate for them to release an update that didn't fix the issue and cause a bunch of startup crashes overnight. We can later restrict the version if they fix or workaround in the Fx9 timeframe.

Also note the total ADUs are pretty immaterial (< 100k)
Comment 6 Robert Kaiser (not working on stability any more) 2011-12-20 12:12:25 PST
I think this would be the first time we block with no upper bound of version - at least for non-malware. We should give them a clear way out with a fix and upgrade.
I'm not saying we shouldn't block the add-on, I'm just trying to not make us destroy the chance of working positively out of this with that company.
Comment 7 Jorge Villalobos [:jorgev] 2011-12-20 12:32:11 PST
I had a brief conversation with them a few weeks ago. I sent them an email telling them to chime in here so that they know what needs to be fixed.
Comment 8 Alex Keybl [:akeybl] 2011-12-20 12:35:10 PST
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #6)
> I think this would be the first time we block with no upper bound of version
> - at least for non-malware. We should give them a clear way out with a fix
> and upgrade.
> I'm not saying we shouldn't block the add-on, I'm just trying to not make us
> destroy the chance of working positively out of this with that company.

I believe Christian is suggesting that we remove working versions from the blocklist in the future if they fix their add-on, in which case they would no longer be blocked.

Jorge - is that possible? If not, we could create a maximum version on the blocklist entry that's a little out of reach in case they release without resolving.
Comment 9 Alex Keybl [:akeybl] 2011-12-20 12:39:30 PST
One other question - is it possible to blocklist on a per-platform basis?
Comment 10 Justin Scott [:fligtar] 2011-12-20 12:48:51 PST
Yes, it's possible to blocklist per-platform.

I briefly blocked this in production about an hour ago and removed it when Marcia indicated that this is reproducible from several popular add-ons. I'm holding off until QA knows more.
Comment 11 Justin Scott [:fligtar] 2011-12-20 13:03:02 PST
Alright, this has been blocked in production for Firefox 9 only. Kev, please let us know the version number of the fixed version when they give it to us.
Comment 12 Gavin 2011-12-21 18:41:06 PST
Look Guys I am not happy about this, Nectar Toolbar has never crashed on my PC, I WANT IT UNBLOCKED OR I WILL BE LEAVING FIREFOX
Comment 13 Alex Keybl [:akeybl] 2011-12-21 19:01:52 PST
(In reply to Gavin from comment #12)
> Look Guys I am not happy about this, Nectar Toolbar has never crashed on my
> PC, I WANT IT UNBLOCKED OR I WILL BE LEAVING FIREFOX

Gavin, please update to Firefox 9.0.1. Nectar Toolbar is compatible with that version. If you're still finding that the toolbar is blocked on Firefox 9.0.1, we may need to tweak something on our end.
Comment 14 Justin Scott [:fligtar] 2011-12-21 19:03:23 PST
(In reply to Alex Keybl [:akeybl] from comment #13)
> (In reply to Gavin from comment #12)
> > Look Guys I am not happy about this, Nectar Toolbar has never crashed on my
> > PC, I WANT IT UNBLOCKED OR I WILL BE LEAVING FIREFOX
> 
> Gavin, please update to Firefox 9.0.1. Nectar Toolbar is compatible with
> that version. If you're still finding that the toolbar is blocked on Firefox
> 9.0.1, we may need to tweak something on our end.

It's blocked in all of Firefox 9. Do you want it reduced to only 9.0a1 - 9.0?
Comment 15 Justin Scott [:fligtar] 2011-12-21 19:07:47 PST
(In reply to Justin Scott [:fligtar] from comment #14)
> It's blocked in all of Firefox 9. Do you want it reduced to only 9.0a1 - 9.0?

I went ahead and reduced it from 9.* to 9.0.
Comment 16 Alex Keybl [:akeybl] 2011-12-21 19:16:56 PST
(In reply to Justin Scott [:fligtar] from comment #15)
> (In reply to Justin Scott [:fligtar] from comment #14)
> > It's blocked in all of Firefox 9. Do you want it reduced to only 9.0a1 - 9.0?
> 
> I went ahead and reduced it from 9.* to 9.0.

Thanks fligtar - this was the right thing to do.

Note You need to log in before you can comment on or make changes to this bug.